package jtznyj.engineer.service.dataDiagnosticService.data;

/**
 * 趋势参数枚举
 */
public enum TrendTypeParam {
    /**
     * 总量
     */
    TT_TOTALNUM(1),

    /**
     * 倍数
     */
    TT_MUL(2);

    private int index;

    private TrendTypeParam(int index) {
        this.index = index;
    }

    public static TrendTypeParam valueOf(int index) {
        switch (index) {
            case 1:
                return TT_TOTALNUM;
            case 2:
                return TT_MUL;
            default:
                return null;
        }
    }
}
